// java wrapper for vtkCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCollection.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCollection",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCollection *op;
  const char    *temp20;

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollection");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollection");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollection_AddItem_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCollection *op;
  vtkObject  *temp0;
  temp0 = (vtkObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObject"));

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollection");
  op->AddItem(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollection_ReplaceItem_13(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkCollection *op;
  int      temp0;
  vtkObject  *temp1;
  temp0 = id0;
  temp1 = (vtkObject *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkObject"));

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollection");
  op->ReplaceItem(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollection_RemoveItem_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkCollection *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollection");
  op->RemoveItem(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollection_RemoveItem_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCollection *op;
  vtkObject  *temp0;
  temp0 = (vtkObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObject"));

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollection");
  op->RemoveItem(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollection_RemoveAllItems_16(JNIEnv *env, jobject obj)
{
  vtkCollection *op;

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollection");
  op->RemoveAllItems();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCollection_IsItemPresent_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCollection *op;
  vtkObject  *temp0;
  int      temp20;
  temp0 = (vtkObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObject"));

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollection");
  temp20 = (op)->IsItemPresent(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCollection_GetNumberOfItems_18(JNIEnv *env, jobject obj)
{
  vtkCollection *op;
  int      temp20;

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollection");
  temp20 = (op)->GetNumberOfItems();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollection_InitTraversal_19(JNIEnv *env, jobject obj)
{
  vtkCollection *op;

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollection");
  op->InitTraversal();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCollection_GetNextItemAsObject_110(JNIEnv *env, jobject obj)
{
  vtkCollection *op;
  vtkObject  *temp20;
  jobject tempH;

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollection");
  temp20 = (op)->GetNextItemAsObject();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCollection_GetItemAsObject_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkCollection *op;
  int      temp0;
  vtkObject  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollection");
  temp20 = (op)->GetItemAsObject(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCollection_NewIterator_112(JNIEnv *env, jobject obj)
{
  vtkCollection *op;
  vtkCollectionIterator  *temp20;
  jobject tempH;

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollection");
  temp20 = (op)->NewIterator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCollectionIterator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollection_Register_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCollection *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollection");
  op->Register(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollection_UnRegister_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCollection *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollection");
  op->UnRegister(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCollection_VTKInit(JNIEnv *env, jobject obj)
{
  vtkCollection *aNewOne = vtkCollection::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCollection_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCollection_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCollection_Typecast);
}
