// java wrapper for vtkGenericDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericDataSet.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericDataSet_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericDataSet",dType)) { return me; }
  if ((res= vtkDataObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericDataSet_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
  const char    *temp20;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSet_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSet_GetNumberOfPoints_12(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
  vtkIdType   temp20;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSet_GetNumberOfCells_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericDataSet *op;
  int      temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  temp20 = (op)->GetNumberOfCells(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSet_GetCellDimension_14(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
  int      temp20;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  temp20 = (op)->GetCellDimension();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSet_GetCellTypes_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericDataSet *op;
  vtkCellTypes  *temp0;
  temp0 = (vtkCellTypes *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCellTypes"));

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  op->GetCellTypes(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericDataSet_NewCellIterator_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericDataSet *op;
  int      temp0;
  vtkGenericCellIterator  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  temp20 = (op)->NewCellIterator(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkGenericCellIterator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericDataSet_NewBoundaryIterator_17(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkGenericDataSet *op;
  int      temp0;
  int      temp1;
  vtkGenericCellIterator  *temp20;
  jobject tempH;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  temp20 = (op)->NewBoundaryIterator(temp0,temp1);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkGenericCellIterator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericDataSet_NewPointIterator_18(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
  vtkGenericPointIterator  *temp20;
  jobject tempH;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  temp20 = (op)->NewPointIterator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkGenericPointIterator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSet_FindPoint_19(JNIEnv *env, jobject obj,jdoubleArray id0,jobject id1)
{
  vtkGenericDataSet *op;
  double temp0[3];
  void *tempArray0;
  vtkGenericPointIterator  *temp1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = (vtkGenericPointIterator *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkGenericPointIterator"));

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  op->FindPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSet_GetMTime_110(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
   unsigned long     temp20;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSet_ComputeBounds_111(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  op->ComputeBounds();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSet_GetBounds_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGenericDataSet *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSet_GetCenter_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGenericDataSet *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  op->GetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericDataSet_GetLength_114(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
  double   temp20;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  temp20 = (op)->GetLength();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericDataSet_GetAttributes_115(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
  vtkGenericAttributeCollection  *temp20;
  jobject tempH;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  temp20 = (op)->GetAttributes();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkGenericAttributeCollection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSet_SetTessellator_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericDataSet *op;
  vtkGenericCellTessellator  *temp0;
  temp0 = (vtkGenericCellTessellator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkGenericCellTessellator"));

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  op->SetTessellator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericDataSet_GetTessellator_117(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
  vtkGenericCellTessellator  *temp20;
  jobject tempH;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  temp20 = (op)->GetTessellator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkGenericCellTessellator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSet_GetActualMemorySize_118(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
   unsigned long     temp20;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSet_GetDataObjectType_119(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
  int      temp20;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSet_GetEstimatedSize_120(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
  vtkIdType   temp20;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSet");
  temp20 = (op)->GetEstimatedSize();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericDataSet_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericDataSet_Typecast);
}
