// java wrapper for vtkPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyData.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPointSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolyData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolyData",dType)) { return me; }
  if ((res= vtkPointSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolyData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  const char    *temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetDataObjectType_12(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  int      temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_CopyStructure_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyData *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetNumberOfCells_14(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  vtkIdType   temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPolyData_GetCell_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  vtkCell  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->GetCell(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCell", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_GetCell_16(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  temp0 = id0;
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkGenericCell"));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->GetCell(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetCellType_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->GetCellType(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_GetCellBounds_18(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  double temp1[6];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->GetCellBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_GetCellNeighbors_19(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdList"));
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkIdList"));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->GetCellNeighbors(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_CopyCells_110(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkPolyData *op;
  vtkPolyData  *temp0;
  vtkIdList  *temp1;
  vtkPointLocator  *temp2;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPolyData"));
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdList"));
  temp2 = (vtkPointLocator *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkPointLocator"));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->CopyCells(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_GetCellPoints_111(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdList"));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->GetCellPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_GetPointCells_112(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdList"));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->GetPointCells(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_ComputeBounds_113(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->ComputeBounds();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_Squeeze_114(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->Squeeze();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetMaxCellSize_115(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  int      temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->GetMaxCellSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_SetVerts_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyData *op;
  vtkCellArray  *temp0;
  temp0 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCellArray"));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->SetVerts(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPolyData_GetVerts_117(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  vtkCellArray  *temp20;
  jobject tempH;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->GetVerts();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCellArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_SetLines_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyData *op;
  vtkCellArray  *temp0;
  temp0 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCellArray"));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->SetLines(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPolyData_GetLines_119(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  vtkCellArray  *temp20;
  jobject tempH;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->GetLines();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCellArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_SetPolys_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyData *op;
  vtkCellArray  *temp0;
  temp0 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCellArray"));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->SetPolys(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPolyData_GetPolys_121(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  vtkCellArray  *temp20;
  jobject tempH;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->GetPolys();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCellArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_SetStrips_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyData *op;
  vtkCellArray  *temp0;
  temp0 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCellArray"));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->SetStrips(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPolyData_GetStrips_123(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  vtkCellArray  *temp20;
  jobject tempH;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->GetStrips();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCellArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetNumberOfVerts_124(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  vtkIdType   temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->GetNumberOfVerts();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetNumberOfLines_125(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  vtkIdType   temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->GetNumberOfLines();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetNumberOfPolys_126(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  vtkIdType   temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->GetNumberOfPolys();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetNumberOfStrips_127(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  vtkIdType   temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->GetNumberOfStrips();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_Allocate_128(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->Allocate(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_Allocate_129(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkPolyData *op;
  vtkPolyData  *temp0;
  vtkIdType   temp1;
  int      temp2;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPolyData"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->Allocate(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_InsertNextCell_130(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPolyData *op;
  int      temp0;
  vtkIdList  *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdList"));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->InsertNextCell(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_Reset_131(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->Reset();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_BuildCells_132(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->BuildCells();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_BuildLinks_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->BuildLinks(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_DeleteCells_134(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->DeleteCells();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_DeleteLinks_135(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->DeleteLinks();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_GetCellEdgeNeighbors_136(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jobject id3)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  vtkIdList  *temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkIdList"));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->GetCellEdgeNeighbors(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_IsTriangle_137(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkPolyData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->IsTriangle(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_IsEdge_138(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->IsEdge(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_IsPointUsedByCell_139(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->IsPointUsedByCell(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_ReplaceCellPoint_140(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->ReplaceCellPoint(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_ReverseCell_141(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->ReverseCell(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_DeletePoint_142(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->DeletePoint(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_DeleteCell_143(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->DeleteCell(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_InsertNextLinkedPoint_144(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyData *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->InsertNextLinkedPoint(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_InsertNextLinkedPoint_145(JNIEnv *env, jobject obj,jdoubleArray id0,jint id1)
{
  vtkPolyData *op;
  double temp0[3];
  void *tempArray0;
  int      temp1;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = id1;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->InsertNextLinkedPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_RemoveCellReference_146(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->RemoveCellReference(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_AddCellReference_147(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->AddCellReference(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_RemoveReferenceToCell_148(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->RemoveReferenceToCell(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_AddReferenceToCell_149(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->AddReferenceToCell(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_ResizeCellList_150(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPolyData *op;
  vtkIdType   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->ResizeCellList(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_Initialize_151(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_GetUpdateExtent_152(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkPolyData *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->GetUpdateExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetPiece_153(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  int      temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->GetPiece();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetNumberOfPieces_154(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  int      temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->GetNumberOfPieces();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetGhostLevel_155(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  int      temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->GetGhostLevel();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetActualMemorySize_156(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
   unsigned long     temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_ShallowCopy_157(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyData *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_DeepCopy_158(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyData *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_RemoveGhostCells_159(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyData");
  op->RemoveGhostCells(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPolyData_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPolyData *aNewOne = vtkPolyData::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPolyData_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPolyData_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPolyData_Typecast);
}
