// java wrapper for vtkStructuredGridAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStructuredGridAlgorithm.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStructuredGridAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStructuredGridAlgorithm",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStructuredGridAlgorithm_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStructuredGridAlgorithm *op;
  const char    *temp20;

  op = (vtkStructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredGridAlgorithm");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGridAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStructuredGridAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredGridAlgorithm");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStructuredGridAlgorithm_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkStructuredGridAlgorithm *op;
  vtkStructuredGrid  *temp20;
  jobject tempH;

  op = (vtkStructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredGridAlgorithm");
  temp20 = (op)->GetOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkStructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStructuredGridAlgorithm_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredGridAlgorithm *op;
  int      temp0;
  vtkStructuredGrid  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkStructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredGridAlgorithm");
  temp20 = (op)->GetOutput(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkStructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGridAlgorithm_SetOutput_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStructuredGridAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkStructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredGridAlgorithm");
  op->SetOutput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStructuredGridAlgorithm_GetInput_15(JNIEnv *env, jobject obj)
{
  vtkStructuredGridAlgorithm *op;
  vtkDataObject  *temp20;
  jobject tempH;

  op = (vtkStructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredGridAlgorithm");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStructuredGridAlgorithm_GetInput_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredGridAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkStructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredGridAlgorithm");
  temp20 = (op)->GetInput(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStructuredGridAlgorithm_GetStructuredGridInput_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredGridAlgorithm *op;
  int      temp0;
  vtkStructuredGrid  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkStructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredGridAlgorithm");
  temp20 = (op)->GetStructuredGridInput(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkStructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGridAlgorithm_SetInput_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStructuredGridAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkStructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredGridAlgorithm");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGridAlgorithm_SetInput_19(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkStructuredGridAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataObject"));

  op = (vtkStructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredGridAlgorithm");
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGridAlgorithm_AddInput_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStructuredGridAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkStructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredGridAlgorithm");
  op->AddInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGridAlgorithm_AddInput_111(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkStructuredGridAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataObject"));

  op = (vtkStructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredGridAlgorithm");
  op->AddInput(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkStructuredGridAlgorithm_VTKInit(JNIEnv *env, jobject obj)
{
  vtkStructuredGridAlgorithm *aNewOne = vtkStructuredGridAlgorithm::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkStructuredGridAlgorithm_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkStructuredGridAlgorithm_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkStructuredGridAlgorithm_Typecast);
}
