// java wrapper for vtkTriangle object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTriangle.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkCell_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTriangle_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTriangle",dType)) { return me; }
  if ((res= vtkCell_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTriangle_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTriangle *op;
  const char    *temp20;

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTriangle_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTriangle *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkTriangle_GetEdge_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkTriangle *op;
  int      temp0;
  vtkCell  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  temp20 = (op)->GetEdge(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCell", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTriangle_GetCellType_13(JNIEnv *env, jobject obj)
{
  vtkTriangle *op;
  int      temp20;

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  temp20 = (op)->GetCellType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTriangle_GetCellDimension_14(JNIEnv *env, jobject obj)
{
  vtkTriangle *op;
  int      temp20;

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  temp20 = (op)->GetCellDimension();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTriangle_GetNumberOfEdges_15(JNIEnv *env, jobject obj)
{
  vtkTriangle *op;
  int      temp20;

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  temp20 = (op)->GetNumberOfEdges();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTriangle_GetNumberOfFaces_16(JNIEnv *env, jobject obj)
{
  vtkTriangle *op;
  int      temp20;

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  temp20 = (op)->GetNumberOfFaces();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkTriangle_GetFace_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkTriangle *op;
  int      temp0;
  vtkCell  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  temp20 = (op)->GetFace(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCell", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTriangle_CellBoundary_18(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jobject id2)
{
  vtkTriangle *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkIdList"));

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  temp20 = (op)->CellBoundary(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTriangle_Contour_19(JNIEnv *env, jobject obj,jdouble id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jobject id7,jobject id8,jint id9,jobject id10)
{
  vtkTriangle *op;
  double   temp0;
  vtkDataArray  *temp1;
  vtkPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  temp0 = id0;
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataArray"));
  temp2 = (vtkPointLocator *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkPointLocator"));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkCellArray"));
  temp4 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkCellArray"));
  temp5 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id5,(char *) "vtkCellArray"));
  temp6 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id6,(char *) "vtkPointData"));
  temp7 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id7,(char *) "vtkPointData"));
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8,(char *) "vtkCellData"));
  temp9 = id9;
  temp10 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id10,(char *) "vtkCellData"));

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTriangle_Triangulate_110(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkTriangle *op;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdList"));
  temp2 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkPoints"));

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  temp20 = (op)->Triangulate(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTriangle_Clip_111(JNIEnv *env, jobject obj,jdouble id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jint id7,jobject id8,jint id9)
{
  vtkTriangle *op;
  double   temp0;
  vtkDataArray  *temp1;
  vtkPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  int      temp9;
  temp0 = id0;
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataArray"));
  temp2 = (vtkPointLocator *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkPointLocator"));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkCellArray"));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkPointData"));
  temp5 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id5,(char *) "vtkPointData"));
  temp6 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id6,(char *) "vtkCellData"));
  temp7 = id7;
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8,(char *) "vtkCellData"));
  temp9 = id9;

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTriangle_InterpolationFunctions_112(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkTriangle *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  op->InterpolationFunctions(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTriangle_InterpolationDerivs_113(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkTriangle *op;
  double temp0[3];
  void *tempArray0;
  double temp1[6];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  op->InterpolationDerivs(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTriangle_GetParametricCenter_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTriangle *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  temp20 = (op)->GetParametricCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTriangle_GetParametricDistance_115(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTriangle *op;
  double temp0[3];
  void *tempArray0;
  double   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  temp20 = (op)->GetParametricDistance(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTriangle_TriangleCenter_116(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2,jdoubleArray id3)
{
  vtkTriangle *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  double temp3[3];
  void *tempArray3;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  op->TriangleCenter(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTriangle_TriangleArea_117(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2)
{
  vtkTriangle *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  double   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  temp20 = (op)->TriangleArea(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTriangle_Circumcircle_118(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2,jdoubleArray id3)
{
  vtkTriangle *op;
  double temp0[2];
  void *tempArray0;
  double temp1[2];
  void *tempArray1;
  double temp2[2];
  void *tempArray2;
  double temp3[2];
  void *tempArray3;
  double   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  temp20 = (op)->Circumcircle(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTriangle_BarycentricCoords_119(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2,jdoubleArray id3,jdoubleArray id4)
{
  vtkTriangle *op;
  double temp0[2];
  void *tempArray0;
  double temp1[2];
  void *tempArray1;
  double temp2[2];
  void *tempArray2;
  double temp3[2];
  void *tempArray3;
  double temp4[3];
  void *tempArray4;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  tempArray4 = (void *)(env->GetDoubleArrayElements(id4,NULL));
  temp4[0] = ((jdouble *)tempArray4)[0];
  temp4[1] = ((jdouble *)tempArray4)[1];
  temp4[2] = ((jdouble *)tempArray4)[2];

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  temp20 = (op)->BarycentricCoords(temp0,temp1,temp2,temp3,temp4);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
  ((jdouble *)tempArray4)[0] = temp4[0];
  ((jdouble *)tempArray4)[1] = temp4[1];
  ((jdouble *)tempArray4)[2] = temp4[2];
  env->ReleaseDoubleArrayElements(id4,(jdouble *)tempArray4,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTriangle_ProjectTo2D_120(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2,jdoubleArray id3,jdoubleArray id4,jdoubleArray id5)
{
  vtkTriangle *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  double temp3[2];
  void *tempArray3;
  double temp4[2];
  void *tempArray4;
  double temp5[2];
  void *tempArray5;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  tempArray4 = (void *)(env->GetDoubleArrayElements(id4,NULL));
  temp4[0] = ((jdouble *)tempArray4)[0];
  temp4[1] = ((jdouble *)tempArray4)[1];
  tempArray5 = (void *)(env->GetDoubleArrayElements(id5,NULL));
  temp5[0] = ((jdouble *)tempArray5)[0];
  temp5[1] = ((jdouble *)tempArray5)[1];

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  temp20 = (op)->ProjectTo2D(temp0,temp1,temp2,temp3,temp4,temp5);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
  ((jdouble *)tempArray4)[0] = temp4[0];
  ((jdouble *)tempArray4)[1] = temp4[1];
  env->ReleaseDoubleArrayElements(id4,(jdouble *)tempArray4,0);
  ((jdouble *)tempArray5)[0] = temp5[0];
  ((jdouble *)tempArray5)[1] = temp5[1];
  env->ReleaseDoubleArrayElements(id5,(jdouble *)tempArray5,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTriangle_ComputeNormal_121(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2,jdoubleArray id3)
{
  vtkTriangle *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  double temp3[3];
  void *tempArray3;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  op->ComputeNormal(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTriangle_ComputeNormalDirection_122(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2,jdoubleArray id3)
{
  vtkTriangle *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  double temp3[3];
  void *tempArray3;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  op->ComputeNormalDirection(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTriangle_PointInTriangle_123(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2,jdoubleArray id3,jdouble id4)
{
  vtkTriangle *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  double temp3[3];
  void *tempArray3;
  double   temp4;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];
  temp4 = id4;

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  temp20 = (op)->PointInTriangle(temp0,temp1,temp2,temp3,temp4);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTriangle_ComputeQuadric_124(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2,jobject id3)
{
  vtkTriangle *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  vtkQuadric  *temp3;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  temp3 = (vtkQuadric *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkQuadric"));

  op = (vtkTriangle *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTriangle");
  op->ComputeQuadric(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTriangle_VTKInit(JNIEnv *env, jobject obj)
{
  vtkTriangle *aNewOne = vtkTriangle::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTriangle_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTriangle_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTriangle_Typecast);
}
