// java wrapper for vtkConnectivityFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkConnectivityFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkConnectivityFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkConnectivityFilter",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkConnectivityFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;
  const char    *temp20;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConnectivityFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkConnectivityFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_SetScalarConnectivity_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkConnectivityFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->SetScalarConnectivity(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConnectivityFilter_GetScalarConnectivity_13(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;
  int      temp20;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  temp20 = (op)->GetScalarConnectivity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_ScalarConnectivityOn_14(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->ScalarConnectivityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_ScalarConnectivityOff_15(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->ScalarConnectivityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_SetScalarRange_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkConnectivityFilter *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->SetScalarRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_SetScalarRange_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkConnectivityFilter *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->SetScalarRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkConnectivityFilter_GetScalarRange_18(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;
  double  *temp20;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  temp20 = (op)->GetScalarRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_SetExtractionMode_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkConnectivityFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->SetExtractionMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConnectivityFilter_GetExtractionModeMinValue_110(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;
  int      temp20;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  temp20 = (op)->GetExtractionModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConnectivityFilter_GetExtractionModeMaxValue_111(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;
  int      temp20;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  temp20 = (op)->GetExtractionModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConnectivityFilter_GetExtractionMode_112(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;
  int      temp20;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  temp20 = (op)->GetExtractionMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_SetExtractionModeToPointSeededRegions_113(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->SetExtractionModeToPointSeededRegions();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_SetExtractionModeToCellSeededRegions_114(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->SetExtractionModeToCellSeededRegions();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_SetExtractionModeToLargestRegion_115(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->SetExtractionModeToLargestRegion();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_SetExtractionModeToSpecifiedRegions_116(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->SetExtractionModeToSpecifiedRegions();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_SetExtractionModeToClosestPointRegion_117(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->SetExtractionModeToClosestPointRegion();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_SetExtractionModeToAllRegions_118(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->SetExtractionModeToAllRegions();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkConnectivityFilter_GetExtractionModeAsString_119(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;
  const char    *temp20;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  temp20 = (op)->GetExtractionModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_InitializeSeedList_120(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->InitializeSeedList();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_AddSeed_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkConnectivityFilter *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->AddSeed(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_DeleteSeed_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkConnectivityFilter *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->DeleteSeed(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_InitializeSpecifiedRegionList_123(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->InitializeSpecifiedRegionList();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_AddSpecifiedRegion_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkConnectivityFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->AddSpecifiedRegion(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_DeleteSpecifiedRegion_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkConnectivityFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->DeleteSpecifiedRegion(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_SetClosestPoint_126(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkConnectivityFilter *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->SetClosestPoint(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_SetClosestPoint_127(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkConnectivityFilter *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->SetClosestPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkConnectivityFilter_GetClosestPoint_128(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;
  double  *temp20;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  temp20 = (op)->GetClosestPoint();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConnectivityFilter_GetNumberOfExtractedRegions_129(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;
  int      temp20;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  temp20 = (op)->GetNumberOfExtractedRegions();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_SetColorRegions_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkConnectivityFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->SetColorRegions(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConnectivityFilter_GetColorRegions_131(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;
  int      temp20;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  temp20 = (op)->GetColorRegions();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_ColorRegionsOn_132(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->ColorRegionsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConnectivityFilter_ColorRegionsOff_133(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkConnectivityFilter");
  op->ColorRegionsOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkConnectivityFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkConnectivityFilter *aNewOne = vtkConnectivityFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkConnectivityFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkConnectivityFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkConnectivityFilter_Typecast);
}
