// java wrapper for vtkElevationFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkElevationFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkElevationFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkElevationFilter",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkElevationFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkElevationFilter *op;
  const char    *temp20;

  op = (vtkElevationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkElevationFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkElevationFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkElevationFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkElevationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkElevationFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkElevationFilter_SetLowPoint_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkElevationFilter *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkElevationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkElevationFilter");
  op->SetLowPoint(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkElevationFilter_SetLowPoint_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkElevationFilter *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkElevationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkElevationFilter");
  op->SetLowPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkElevationFilter_GetLowPoint_14(JNIEnv *env, jobject obj)
{
  vtkElevationFilter *op;
  double  *temp20;

  op = (vtkElevationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkElevationFilter");
  temp20 = (op)->GetLowPoint();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkElevationFilter_SetHighPoint_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkElevationFilter *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkElevationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkElevationFilter");
  op->SetHighPoint(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkElevationFilter_SetHighPoint_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkElevationFilter *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkElevationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkElevationFilter");
  op->SetHighPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkElevationFilter_GetHighPoint_17(JNIEnv *env, jobject obj)
{
  vtkElevationFilter *op;
  double  *temp20;

  op = (vtkElevationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkElevationFilter");
  temp20 = (op)->GetHighPoint();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkElevationFilter_SetScalarRange_18(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkElevationFilter *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkElevationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkElevationFilter");
  op->SetScalarRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkElevationFilter_SetScalarRange_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkElevationFilter *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkElevationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkElevationFilter");
  op->SetScalarRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkElevationFilter_GetScalarRange_110(JNIEnv *env, jobject obj)
{
  vtkElevationFilter *op;
  double  *temp20;

  op = (vtkElevationFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkElevationFilter");
  temp20 = (op)->GetScalarRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkElevationFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkElevationFilter *aNewOne = vtkElevationFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkElevationFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkElevationFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkElevationFilter_Typecast);
}
