// java wrapper for vtkExtractGeometry object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractGeometry.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExtractGeometry_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExtractGeometry",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtractGeometry_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExtractGeometry *op;
  const char    *temp20;

  op = (vtkExtractGeometry *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractGeometry");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractGeometry_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractGeometry *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractGeometry *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractGeometry");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractGeometry_GetMTime_12(JNIEnv *env, jobject obj)
{
  vtkExtractGeometry *op;
   unsigned long     temp20;

  op = (vtkExtractGeometry *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractGeometry");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractGeometry_SetImplicitFunction_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExtractGeometry *op;
  vtkImplicitFunction  *temp0;
  temp0 = (vtkImplicitFunction *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImplicitFunction"));

  op = (vtkExtractGeometry *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractGeometry");
  op->SetImplicitFunction(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExtractGeometry_GetImplicitFunction_14(JNIEnv *env, jobject obj)
{
  vtkExtractGeometry *op;
  vtkImplicitFunction  *temp20;
  jobject tempH;

  op = (vtkExtractGeometry *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractGeometry");
  temp20 = (op)->GetImplicitFunction();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImplicitFunction", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractGeometry_SetExtractInside_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractGeometry *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtractGeometry *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractGeometry");
  op->SetExtractInside(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractGeometry_GetExtractInside_16(JNIEnv *env, jobject obj)
{
  vtkExtractGeometry *op;
  int      temp20;

  op = (vtkExtractGeometry *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractGeometry");
  temp20 = (op)->GetExtractInside();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractGeometry_ExtractInsideOn_17(JNIEnv *env, jobject obj)
{
  vtkExtractGeometry *op;

  op = (vtkExtractGeometry *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractGeometry");
  op->ExtractInsideOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractGeometry_ExtractInsideOff_18(JNIEnv *env, jobject obj)
{
  vtkExtractGeometry *op;

  op = (vtkExtractGeometry *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractGeometry");
  op->ExtractInsideOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractGeometry_SetExtractBoundaryCells_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractGeometry *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtractGeometry *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractGeometry");
  op->SetExtractBoundaryCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractGeometry_GetExtractBoundaryCells_110(JNIEnv *env, jobject obj)
{
  vtkExtractGeometry *op;
  int      temp20;

  op = (vtkExtractGeometry *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractGeometry");
  temp20 = (op)->GetExtractBoundaryCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractGeometry_ExtractBoundaryCellsOn_111(JNIEnv *env, jobject obj)
{
  vtkExtractGeometry *op;

  op = (vtkExtractGeometry *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractGeometry");
  op->ExtractBoundaryCellsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractGeometry_ExtractBoundaryCellsOff_112(JNIEnv *env, jobject obj)
{
  vtkExtractGeometry *op;

  op = (vtkExtractGeometry *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractGeometry");
  op->ExtractBoundaryCellsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractGeometry_SetExtractOnlyBoundaryCells_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractGeometry *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtractGeometry *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractGeometry");
  op->SetExtractOnlyBoundaryCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractGeometry_GetExtractOnlyBoundaryCells_114(JNIEnv *env, jobject obj)
{
  vtkExtractGeometry *op;
  int      temp20;

  op = (vtkExtractGeometry *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractGeometry");
  temp20 = (op)->GetExtractOnlyBoundaryCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractGeometry_ExtractOnlyBoundaryCellsOn_115(JNIEnv *env, jobject obj)
{
  vtkExtractGeometry *op;

  op = (vtkExtractGeometry *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractGeometry");
  op->ExtractOnlyBoundaryCellsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractGeometry_ExtractOnlyBoundaryCellsOff_116(JNIEnv *env, jobject obj)
{
  vtkExtractGeometry *op;

  op = (vtkExtractGeometry *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractGeometry");
  op->ExtractOnlyBoundaryCellsOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExtractGeometry_VTKInit(JNIEnv *env, jobject obj)
{
  vtkExtractGeometry *aNewOne = vtkExtractGeometry::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExtractGeometry_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExtractGeometry_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExtractGeometry_Typecast);
}
