// java wrapper for vtkThreshold object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkThreshold.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkThreshold_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkThreshold",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkThreshold_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;
  const char    *temp20;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreshold_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkThreshold *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreshold_ThresholdByLower_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkThreshold *op;
  double   temp0;
  temp0 = id0;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  op->ThresholdByLower(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreshold_ThresholdByUpper_13(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkThreshold *op;
  double   temp0;
  temp0 = id0;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  op->ThresholdByUpper(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreshold_ThresholdBetween_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkThreshold *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  op->ThresholdBetween(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkThreshold_GetUpperThreshold_15(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;
  double   temp20;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  temp20 = (op)->GetUpperThreshold();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkThreshold_GetLowerThreshold_16(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;
  double   temp20;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  temp20 = (op)->GetLowerThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreshold_SetAttributeMode_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkThreshold *op;
  int      temp0;
  temp0 = id0;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  op->SetAttributeMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreshold_GetAttributeMode_18(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;
  int      temp20;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  temp20 = (op)->GetAttributeMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreshold_SetAttributeModeToDefault_19(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  op->SetAttributeModeToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreshold_SetAttributeModeToUsePointData_110(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  op->SetAttributeModeToUsePointData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreshold_SetAttributeModeToUseCellData_111(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  op->SetAttributeModeToUseCellData();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkThreshold_GetAttributeModeAsString_112(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;
  const char    *temp20;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  temp20 = (op)->GetAttributeModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreshold_SetComponentMode_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkThreshold *op;
  int      temp0;
  temp0 = id0;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  op->SetComponentMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreshold_GetComponentModeMinValue_114(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;
  int      temp20;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  temp20 = (op)->GetComponentModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreshold_GetComponentModeMaxValue_115(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;
  int      temp20;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  temp20 = (op)->GetComponentModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreshold_GetComponentMode_116(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;
  int      temp20;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  temp20 = (op)->GetComponentMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreshold_SetComponentModeToUseSelected_117(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  op->SetComponentModeToUseSelected();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreshold_SetComponentModeToUseAll_118(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  op->SetComponentModeToUseAll();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreshold_SetComponentModeToUseAny_119(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  op->SetComponentModeToUseAny();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkThreshold_GetComponentModeAsString_120(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;
  const char    *temp20;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  temp20 = (op)->GetComponentModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreshold_SetSelectedComponent_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkThreshold *op;
  int      temp0;
  temp0 = id0;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  op->SetSelectedComponent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreshold_GetSelectedComponentMinValue_122(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;
  int      temp20;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  temp20 = (op)->GetSelectedComponentMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreshold_GetSelectedComponentMaxValue_123(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;
  int      temp20;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  temp20 = (op)->GetSelectedComponentMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreshold_GetSelectedComponent_124(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;
  int      temp20;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  temp20 = (op)->GetSelectedComponent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreshold_SetAllScalars_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkThreshold *op;
  int      temp0;
  temp0 = id0;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  op->SetAllScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreshold_GetAllScalars_126(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;
  int      temp20;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  temp20 = (op)->GetAllScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreshold_AllScalarsOn_127(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  op->AllScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreshold_AllScalarsOff_128(JNIEnv *env, jobject obj)
{
  vtkThreshold *op;

  op = (vtkThreshold *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkThreshold");
  op->AllScalarsOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkThreshold_VTKInit(JNIEnv *env, jobject obj)
{
  vtkThreshold *aNewOne = vtkThreshold::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkThreshold_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkThreshold_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkThreshold_Typecast);
}
