// java wrapper for vtkGridTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGridTransform.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkWarpTransform_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGridTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGridTransform",dType)) { return me; }
  if ((res= vtkWarpTransform_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGridTransform_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGridTransform *op;
  const char    *temp20;

  op = (vtkGridTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGridTransform");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGridTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGridTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGridTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGridTransform");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGridTransform_SetDisplacementGrid_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGridTransform *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImageData"));

  op = (vtkGridTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGridTransform");
  op->SetDisplacementGrid(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGridTransform_GetDisplacementGrid_13(JNIEnv *env, jobject obj)
{
  vtkGridTransform *op;
  vtkImageData  *temp20;
  jobject tempH;

  op = (vtkGridTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGridTransform");
  temp20 = (op)->GetDisplacementGrid();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGridTransform_SetDisplacementScale_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGridTransform *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGridTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGridTransform");
  op->SetDisplacementScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGridTransform_GetDisplacementScale_15(JNIEnv *env, jobject obj)
{
  vtkGridTransform *op;
  double   temp20;

  op = (vtkGridTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGridTransform");
  temp20 = (op)->GetDisplacementScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGridTransform_SetDisplacementShift_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGridTransform *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGridTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGridTransform");
  op->SetDisplacementShift(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGridTransform_GetDisplacementShift_17(JNIEnv *env, jobject obj)
{
  vtkGridTransform *op;
  double   temp20;

  op = (vtkGridTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGridTransform");
  temp20 = (op)->GetDisplacementShift();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGridTransform_SetInterpolationMode_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkGridTransform *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGridTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGridTransform");
  op->SetInterpolationMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGridTransform_GetInterpolationMode_19(JNIEnv *env, jobject obj)
{
  vtkGridTransform *op;
  int      temp20;

  op = (vtkGridTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGridTransform");
  temp20 = (op)->GetInterpolationMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGridTransform_SetInterpolationModeToNearestNeighbor_110(JNIEnv *env, jobject obj)
{
  vtkGridTransform *op;

  op = (vtkGridTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGridTransform");
  op->SetInterpolationModeToNearestNeighbor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGridTransform_SetInterpolationModeToLinear_111(JNIEnv *env, jobject obj)
{
  vtkGridTransform *op;

  op = (vtkGridTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGridTransform");
  op->SetInterpolationModeToLinear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGridTransform_SetInterpolationModeToCubic_112(JNIEnv *env, jobject obj)
{
  vtkGridTransform *op;

  op = (vtkGridTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGridTransform");
  op->SetInterpolationModeToCubic();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGridTransform_GetInterpolationModeAsString_113(JNIEnv *env, jobject obj)
{
  vtkGridTransform *op;
  const char    *temp20;

  op = (vtkGridTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGridTransform");
  temp20 = (op)->GetInterpolationModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGridTransform_MakeTransform_114(JNIEnv *env, jobject obj)
{
  vtkGridTransform *op;
  vtkAbstractTransform  *temp20;
  jobject tempH;

  op = (vtkGridTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGridTransform");
  temp20 = (op)->MakeTransform();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAbstractTransform", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGridTransform_GetMTime_115(JNIEnv *env, jobject obj)
{
  vtkGridTransform *op;
   unsigned long     temp20;

  op = (vtkGridTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGridTransform");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGridTransform_VTKInit(JNIEnv *env, jobject obj)
{
  vtkGridTransform *aNewOne = vtkGridTransform::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGridTransform_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGridTransform_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGridTransform_Typecast);
}
