// java wrapper for vtkLandmarkTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLandmarkTransform.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkLinearTransform_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLandmarkTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLandmarkTransform",dType)) { return me; }
  if ((res= vtkLinearTransform_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLandmarkTransform_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLandmarkTransform *op;
  const char    *temp20;

  op = (vtkLandmarkTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLandmarkTransform");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLandmarkTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLandmarkTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLandmarkTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLandmarkTransform");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLandmarkTransform_SetSourceLandmarks_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLandmarkTransform *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPoints"));

  op = (vtkLandmarkTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLandmarkTransform");
  op->SetSourceLandmarks(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLandmarkTransform_SetTargetLandmarks_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLandmarkTransform *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPoints"));

  op = (vtkLandmarkTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLandmarkTransform");
  op->SetTargetLandmarks(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkLandmarkTransform_GetSourceLandmarks_14(JNIEnv *env, jobject obj)
{
  vtkLandmarkTransform *op;
  vtkPoints  *temp20;
  jobject tempH;

  op = (vtkLandmarkTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLandmarkTransform");
  temp20 = (op)->GetSourceLandmarks();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPoints", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkLandmarkTransform_GetTargetLandmarks_15(JNIEnv *env, jobject obj)
{
  vtkLandmarkTransform *op;
  vtkPoints  *temp20;
  jobject tempH;

  op = (vtkLandmarkTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLandmarkTransform");
  temp20 = (op)->GetTargetLandmarks();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPoints", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLandmarkTransform_SetMode_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkLandmarkTransform *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLandmarkTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLandmarkTransform");
  op->SetMode(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLandmarkTransform_SetModeToRigidBody_17(JNIEnv *env, jobject obj)
{
  vtkLandmarkTransform *op;

  op = (vtkLandmarkTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLandmarkTransform");
  op->SetModeToRigidBody();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLandmarkTransform_SetModeToSimilarity_18(JNIEnv *env, jobject obj)
{
  vtkLandmarkTransform *op;

  op = (vtkLandmarkTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLandmarkTransform");
  op->SetModeToSimilarity();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLandmarkTransform_SetModeToAffine_19(JNIEnv *env, jobject obj)
{
  vtkLandmarkTransform *op;

  op = (vtkLandmarkTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLandmarkTransform");
  op->SetModeToAffine();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLandmarkTransform_GetMode_110(JNIEnv *env, jobject obj)
{
  vtkLandmarkTransform *op;
  int      temp20;

  op = (vtkLandmarkTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLandmarkTransform");
  temp20 = (op)->GetMode();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLandmarkTransform_GetModeAsString_111(JNIEnv *env, jobject obj)
{
  vtkLandmarkTransform *op;
  const char    *temp20;

  op = (vtkLandmarkTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLandmarkTransform");
  temp20 = (op)->GetModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLandmarkTransform_Inverse_112(JNIEnv *env, jobject obj)
{
  vtkLandmarkTransform *op;

  op = (vtkLandmarkTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLandmarkTransform");
  op->Inverse();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLandmarkTransform_GetMTime_113(JNIEnv *env, jobject obj)
{
  vtkLandmarkTransform *op;
   unsigned long     temp20;

  op = (vtkLandmarkTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLandmarkTransform");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkLandmarkTransform_MakeTransform_114(JNIEnv *env, jobject obj)
{
  vtkLandmarkTransform *op;
  vtkAbstractTransform  *temp20;
  jobject tempH;

  op = (vtkLandmarkTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLandmarkTransform");
  temp20 = (op)->MakeTransform();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAbstractTransform", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkLandmarkTransform_VTKInit(JNIEnv *env, jobject obj)
{
  vtkLandmarkTransform *aNewOne = vtkLandmarkTransform::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkLandmarkTransform_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkLandmarkTransform_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkLandmarkTransform_Typecast);
}
