// java wrapper for vtkDataSetReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataSetReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataSetReader",dType)) { return me; }
  if ((res= vtkDataReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataSetReader *op;
  const char    *temp20;

  op = (vtkDataSetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetReader_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkDataSetReader *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkDataSetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetReader");
  temp20 = (op)->GetOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetReader_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetReader *op;
  int      temp0;
  vtkDataSet  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkDataSetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetReader");
  temp20 = (op)->GetOutput(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetReader_GetPolyDataOutput_14(JNIEnv *env, jobject obj)
{
  vtkDataSetReader *op;
  vtkPolyData  *temp20;
  jobject tempH;

  op = (vtkDataSetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetReader");
  temp20 = (op)->GetPolyDataOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetReader_GetStructuredPointsOutput_15(JNIEnv *env, jobject obj)
{
  vtkDataSetReader *op;
  vtkStructuredPoints  *temp20;
  jobject tempH;

  op = (vtkDataSetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetReader");
  temp20 = (op)->GetStructuredPointsOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkStructuredPoints", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetReader_GetStructuredGridOutput_16(JNIEnv *env, jobject obj)
{
  vtkDataSetReader *op;
  vtkStructuredGrid  *temp20;
  jobject tempH;

  op = (vtkDataSetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetReader");
  temp20 = (op)->GetStructuredGridOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkStructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetReader_GetUnstructuredGridOutput_17(JNIEnv *env, jobject obj)
{
  vtkDataSetReader *op;
  vtkUnstructuredGrid  *temp20;
  jobject tempH;

  op = (vtkDataSetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetReader");
  temp20 = (op)->GetUnstructuredGridOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnstructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetReader_GetRectilinearGridOutput_18(JNIEnv *env, jobject obj)
{
  vtkDataSetReader *op;
  vtkRectilinearGrid  *temp20;
  jobject tempH;

  op = (vtkDataSetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetReader");
  temp20 = (op)->GetRectilinearGridOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRectilinearGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetReader_ReadOutputType_19(JNIEnv *env, jobject obj)
{
  vtkDataSetReader *op;
  int      temp20;

  op = (vtkDataSetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetReader");
  temp20 = (op)->ReadOutputType();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataSetReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDataSetReader *aNewOne = vtkDataSetReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataSetReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataSetReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataSetReader_Typecast);
}
