// java wrapper for vtkGaussianCubeReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGaussianCubeReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkMoleculeReaderBase_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGaussianCubeReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGaussianCubeReader",dType)) { return me; }
  if ((res= vtkMoleculeReaderBase_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGaussianCubeReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGaussianCubeReader *op;
  const char    *temp20;

  op = (vtkGaussianCubeReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGaussianCubeReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGaussianCubeReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGaussianCubeReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGaussianCubeReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGaussianCubeReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGaussianCubeReader_GetTransform_12(JNIEnv *env, jobject obj)
{
  vtkGaussianCubeReader *op;
  vtkTransform  *temp20;
  jobject tempH;

  op = (vtkGaussianCubeReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGaussianCubeReader");
  temp20 = (op)->GetTransform();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTransform", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianCubeReader_SetFileName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGaussianCubeReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGaussianCubeReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGaussianCubeReader");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGaussianCubeReader_GetFileName_14(JNIEnv *env, jobject obj)
{
  vtkGaussianCubeReader *op;
  char    *temp20;

  op = (vtkGaussianCubeReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGaussianCubeReader");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGaussianCubeReader_GetGridOutput_15(JNIEnv *env, jobject obj)
{
  vtkGaussianCubeReader *op;
  vtkImageData  *temp20;
  jobject tempH;

  op = (vtkGaussianCubeReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGaussianCubeReader");
  temp20 = (op)->GetGridOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGaussianCubeReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkGaussianCubeReader *aNewOne = vtkGaussianCubeReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGaussianCubeReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGaussianCubeReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGaussianCubeReader_Typecast);
}
