// java wrapper for vtkXMLDataParser object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLDataParser.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkXMLParser_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLDataParser_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLDataParser",dType)) { return me; }
  if ((res= vtkXMLParser_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLDataParser_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLDataParser *op;
  const char    *temp20;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataParser");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataParser_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLDataParser *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataParser");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLDataParser_GetRootElement_12(JNIEnv *env, jobject obj)
{
  vtkXMLDataParser *op;
  vtkXMLDataElement  *temp20;
  jobject tempH;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataParser");
  temp20 = (op)->GetRootElement();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkXMLDataElement", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataParser_SetCompressor_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLDataParser *op;
  vtkDataCompressor  *temp0;
  temp0 = (vtkDataCompressor *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataCompressor"));

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataParser");
  op->SetCompressor(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLDataParser_GetCompressor_14(JNIEnv *env, jobject obj)
{
  vtkXMLDataParser *op;
  vtkDataCompressor  *temp20;
  jobject tempH;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataParser");
  temp20 = (op)->GetCompressor();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataCompressor", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataParser_GetWordTypeSize_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLDataParser *op;
  int      temp0;
   unsigned long     temp20;
  temp0 = id0;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataParser");
  temp20 = (op)->GetWordTypeSize(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataParser_Parse_16(JNIEnv *env, jobject obj)
{
  vtkXMLDataParser *op;
  int      temp20;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataParser");
  temp20 = (op)->Parse();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataParser_GetAbort_17(JNIEnv *env, jobject obj)
{
  vtkXMLDataParser *op;
  int      temp20;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataParser");
  temp20 = (op)->GetAbort();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataParser_SetAbort_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLDataParser *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataParser");
  op->SetAbort(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkXMLDataParser_GetProgress_19(JNIEnv *env, jobject obj)
{
  vtkXMLDataParser *op;
  float    temp20;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataParser");
  temp20 = (op)->GetProgress();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataParser_SetProgress_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkXMLDataParser *op;
  float    temp0;
  temp0 = id0;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataParser");
  op->SetProgress(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataParser_SetAttributesEncoding_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLDataParser *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataParser");
  op->SetAttributesEncoding(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataParser_GetAttributesEncodingMinValue_112(JNIEnv *env, jobject obj)
{
  vtkXMLDataParser *op;
  int      temp20;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataParser");
  temp20 = (op)->GetAttributesEncodingMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataParser_GetAttributesEncodingMaxValue_113(JNIEnv *env, jobject obj)
{
  vtkXMLDataParser *op;
  int      temp20;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataParser");
  temp20 = (op)->GetAttributesEncodingMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataParser_GetAttributesEncoding_114(JNIEnv *env, jobject obj)
{
  vtkXMLDataParser *op;
  int      temp20;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataParser");
  temp20 = (op)->GetAttributesEncoding();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLDataParser_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLDataParser *aNewOne = vtkXMLDataParser::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLDataParser_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLDataParser_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLDataParser_Typecast);
}
