// java wrapper for vtkImageDataStreamer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageDataStreamer.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageDataStreamer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageDataStreamer",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageDataStreamer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageDataStreamer *op;
  const char    *temp20;

  op = (vtkImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDataStreamer");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageDataStreamer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageDataStreamer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDataStreamer");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDataStreamer_SetNumberOfStreamDivisions_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageDataStreamer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDataStreamer");
  op->SetNumberOfStreamDivisions(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageDataStreamer_GetNumberOfStreamDivisions_13(JNIEnv *env, jobject obj)
{
  vtkImageDataStreamer *op;
  int      temp20;

  op = (vtkImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDataStreamer");
  temp20 = (op)->GetNumberOfStreamDivisions();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDataStreamer_Update_14(JNIEnv *env, jobject obj)
{
  vtkImageDataStreamer *op;

  op = (vtkImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDataStreamer");
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDataStreamer_UpdateWholeExtent_15(JNIEnv *env, jobject obj)
{
  vtkImageDataStreamer *op;

  op = (vtkImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDataStreamer");
  op->UpdateWholeExtent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDataStreamer_SetExtentTranslator_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageDataStreamer *op;
  vtkExtentTranslator  *temp0;
  temp0 = (vtkExtentTranslator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkExtentTranslator"));

  op = (vtkImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDataStreamer");
  op->SetExtentTranslator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageDataStreamer_GetExtentTranslator_17(JNIEnv *env, jobject obj)
{
  vtkImageDataStreamer *op;
  vtkExtentTranslator  *temp20;
  jobject tempH;

  op = (vtkImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDataStreamer");
  temp20 = (op)->GetExtentTranslator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkExtentTranslator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageDataStreamer_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageDataStreamer *aNewOne = vtkImageDataStreamer::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageDataStreamer_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageDataStreamer_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageDataStreamer_Typecast);
}
