// java wrapper for vtkImageToImageStencil object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageToImageStencil.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageStencilSource_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageToImageStencil_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageToImageStencil",dType)) { return me; }
  if ((res= vtkImageStencilSource_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageToImageStencil_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageToImageStencil *op;
  const char    *temp20;

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageToImageStencil");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToImageStencil_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageToImageStencil *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageToImageStencil");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToImageStencil_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageToImageStencil *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImageData"));

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageToImageStencil");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageToImageStencil_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkImageToImageStencil *op;
  vtkImageData  *temp20;
  jobject tempH;

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageToImageStencil");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToImageStencil_ThresholdByUpper_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageToImageStencil *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageToImageStencil");
  op->ThresholdByUpper(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToImageStencil_ThresholdByLower_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageToImageStencil *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageToImageStencil");
  op->ThresholdByLower(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToImageStencil_ThresholdBetween_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkImageToImageStencil *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageToImageStencil");
  op->ThresholdBetween(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToImageStencil_SetUpperThreshold_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageToImageStencil *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageToImageStencil");
  op->SetUpperThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageToImageStencil_GetUpperThreshold_18(JNIEnv *env, jobject obj)
{
  vtkImageToImageStencil *op;
  double   temp20;

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageToImageStencil");
  temp20 = (op)->GetUpperThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToImageStencil_SetLowerThreshold_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageToImageStencil *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageToImageStencil");
  op->SetLowerThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageToImageStencil_GetLowerThreshold_110(JNIEnv *env, jobject obj)
{
  vtkImageToImageStencil *op;
  double   temp20;

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageToImageStencil");
  temp20 = (op)->GetLowerThreshold();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageToImageStencil_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageToImageStencil *aNewOne = vtkImageToImageStencil::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageToImageStencil_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageToImageStencil_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageToImageStencil_Typecast);
}
