// java wrapper for vtkExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExporter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExporter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExporter",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExporter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExporter *op;
  const char    *temp20;

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExporter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExporter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExporter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExporter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExporter_Write_12(JNIEnv *env, jobject obj)
{
  vtkExporter *op;

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExporter");
  op->Write();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExporter_Update_13(JNIEnv *env, jobject obj)
{
  vtkExporter *op;

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExporter");
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExporter_SetRenderWindow_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExporter *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderWindow"));

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExporter");
  op->SetRenderWindow(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExporter_GetRenderWindow_15(JNIEnv *env, jobject obj)
{
  vtkExporter *op;
  vtkRenderWindow  *temp20;
  jobject tempH;

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExporter");
  temp20 = (op)->GetRenderWindow();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderWindow", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExporter_SetInput_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExporter *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderWindow"));

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExporter");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExporter_GetInput_17(JNIEnv *env, jobject obj)
{
  vtkExporter *op;
  vtkRenderWindow  *temp20;
  jobject tempH;

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExporter");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderWindow", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExporter_SetStartWrite_18(JNIEnv *env, jobject obj,jobject id0, jstring id1)
{
  vtkExporter *op;
  vtkJavaVoidFuncArg *temp0 = new vtkJavaVoidFuncArg;
  env->GetJavaVM(&(temp0->vm));
  temp0->uobj = env->NewGlobalRef(id0);
  temp0->mid = env->GetMethodID(env->GetObjectClass(id0),vtkJavaUTFToChar(env,id1),"()V");

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExporter");
  op->SetStartWrite(vtkJavaVoidFunc,(void *)temp0);
  op->SetStartWriteArgDelete(vtkJavaVoidFuncArgDelete);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExporter_SetEndWrite_19(JNIEnv *env, jobject obj,jobject id0, jstring id1)
{
  vtkExporter *op;
  vtkJavaVoidFuncArg *temp0 = new vtkJavaVoidFuncArg;
  env->GetJavaVM(&(temp0->vm));
  temp0->uobj = env->NewGlobalRef(id0);
  temp0->mid = env->GetMethodID(env->GetObjectClass(id0),vtkJavaUTFToChar(env,id1),"()V");

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExporter");
  op->SetEndWrite(vtkJavaVoidFunc,(void *)temp0);
  op->SetEndWriteArgDelete(vtkJavaVoidFuncArgDelete);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExporter_GetMTime_110(JNIEnv *env, jobject obj)
{
  vtkExporter *op;
   unsigned long     temp20;

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExporter");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExporter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExporter_Typecast);
}
