// java wrapper for vtkGraphicsFactory object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraphicsFactory.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGraphicsFactory_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGraphicsFactory",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphicsFactory_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGraphicsFactory *op;
  const char    *temp20;

  op = (vtkGraphicsFactory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGraphicsFactory");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphicsFactory_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphicsFactory *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphicsFactory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGraphicsFactory");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGraphicsFactory_CreateInstance_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphicsFactory *op;
  char    *temp0;
  vtkObject  *temp20;
  jobject tempH;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphicsFactory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGraphicsFactory");
  temp20 = (op)->CreateInstance(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphicsFactory_GetRenderLibrary_13(JNIEnv *env, jobject obj)
{
  vtkGraphicsFactory *op;
  const char    *temp20;

  op = (vtkGraphicsFactory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGraphicsFactory");
  temp20 = (op)->GetRenderLibrary();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphicsFactory_SetUseMesaClasses_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraphicsFactory *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGraphicsFactory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGraphicsFactory");
  op->SetUseMesaClasses(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphicsFactory_GetUseMesaClasses_15(JNIEnv *env, jobject obj)
{
  vtkGraphicsFactory *op;
  int      temp20;

  op = (vtkGraphicsFactory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGraphicsFactory");
  temp20 = (op)->GetUseMesaClasses();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphicsFactory_SetOffScreenOnlyMode_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraphicsFactory *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGraphicsFactory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGraphicsFactory");
  op->SetOffScreenOnlyMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphicsFactory_GetOffScreenOnlyMode_17(JNIEnv *env, jobject obj)
{
  vtkGraphicsFactory *op;
  int      temp20;

  op = (vtkGraphicsFactory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGraphicsFactory");
  temp20 = (op)->GetOffScreenOnlyMode();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGraphicsFactory_VTKInit(JNIEnv *env, jobject obj)
{
  vtkGraphicsFactory *aNewOne = vtkGraphicsFactory::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGraphicsFactory_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGraphicsFactory_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGraphicsFactory_Typecast);
}
