// java wrapper for vtkRenderer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderer.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkViewport_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRenderer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRenderer",dType)) { return me; }
  if ((res= vtkViewport_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  const char    *temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_AddActor_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->AddActor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_AddVolume_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->AddVolume(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_RemoveActor_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->RemoveActor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_RemoveVolume_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->RemoveVolume(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_AddLight_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkLight  *temp0;
  temp0 = (vtkLight *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkLight"));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->AddLight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_RemoveLight_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkLight  *temp0;
  temp0 = (vtkLight *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkLight"));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->RemoveLight(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderer_GetLights_18(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkLightCollection  *temp20;
  jobject tempH;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetLights();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkLightCollection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_CreateLight_19(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->CreateLight();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderer_MakeLight_110(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkLight  *temp20;
  jobject tempH;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->MakeLight();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkLight", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetTwoSidedLighting_111(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetTwoSidedLighting();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetTwoSidedLighting_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->SetTwoSidedLighting(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_TwoSidedLightingOn_113(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->TwoSidedLightingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_TwoSidedLightingOff_114(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->TwoSidedLightingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetLightFollowCamera_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->SetLightFollowCamera(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetLightFollowCamera_116(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetLightFollowCamera();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_LightFollowCameraOn_117(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->LightFollowCameraOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_LightFollowCameraOff_118(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->LightFollowCameraOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetAutomaticLightCreation_119(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetAutomaticLightCreation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetAutomaticLightCreation_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->SetAutomaticLightCreation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_AutomaticLightCreationOn_121(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->AutomaticLightCreationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_AutomaticLightCreationOff_122(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->AutomaticLightCreationOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_UpdateLightsGeometryToFollowCamera_123(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->UpdateLightsGeometryToFollowCamera();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderer_GetVolumes_124(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkVolumeCollection  *temp20;
  jobject tempH;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetVolumes();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkVolumeCollection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderer_GetActors_125(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkActorCollection  *temp20;
  jobject tempH;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetActors();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkActorCollection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetActiveCamera_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkCamera  *temp0;
  temp0 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCamera"));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->SetActiveCamera(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderer_GetActiveCamera_127(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkCamera  *temp20;
  jobject tempH;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetActiveCamera();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCamera", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderer_MakeCamera_128(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkCamera  *temp20;
  jobject tempH;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->MakeCamera();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCamera", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetErase_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->SetErase(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetErase_130(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetErase();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_EraseOn_131(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->EraseOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_EraseOff_132(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->EraseOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_AddCuller_133(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkCuller  *temp0;
  temp0 = (vtkCuller *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCuller"));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->AddCuller(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_RemoveCuller_134(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkCuller  *temp0;
  temp0 = (vtkCuller *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCuller"));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->RemoveCuller(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderer_GetCullers_135(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkCullerCollection  *temp20;
  jobject tempH;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetCullers();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCullerCollection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetAmbient_136(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkRenderer *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->SetAmbient(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetAmbient_137(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkRenderer *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->SetAmbient(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkRenderer_GetAmbient_138(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double  *temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetAmbient();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetAllocatedRenderTime_139(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRenderer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->SetAllocatedRenderTime(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderer_GetAllocatedRenderTime_140(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double   temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetAllocatedRenderTime();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderer_GetTimeFactor_141(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double   temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetTimeFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_Render_142(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->Render();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_DeviceRender_143(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->DeviceRender();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_Clear_144(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->Clear();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_VisibleActorCount_145(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->VisibleActorCount();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_VisibleVolumeCount_146(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->VisibleVolumeCount();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_ComputeVisiblePropBounds_147(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkRenderer *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->ComputeVisiblePropBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkRenderer_ComputeVisiblePropBounds_148(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double  *temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->ComputeVisiblePropBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_ResetCameraClippingRange_149(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->ResetCameraClippingRange();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_ResetCameraClippingRange_150(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkRenderer *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->ResetCameraClippingRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_ResetCameraClippingRange_151(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkRenderer *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->ResetCameraClippingRange(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetNearClippingPlaneTolerance_152(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRenderer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->SetNearClippingPlaneTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderer_GetNearClippingPlaneToleranceMinValue_153(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double   temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetNearClippingPlaneToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderer_GetNearClippingPlaneToleranceMaxValue_154(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double   temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetNearClippingPlaneToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderer_GetNearClippingPlaneTolerance_155(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double   temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetNearClippingPlaneTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_ResetCamera_156(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->ResetCamera();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_ResetCamera_157(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkRenderer *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->ResetCamera(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_ResetCamera_158(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkRenderer *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->ResetCamera(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetRenderWindow_159(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderWindow"));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->SetRenderWindow(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderer_GetRenderWindow_160(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkRenderWindow  *temp20;
  jobject tempH;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetRenderWindow();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderWindow", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderer_GetVTKWindow_161(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkWindow  *temp20;
  jobject tempH;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetVTKWindow();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkWindow", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetBackingStore_162(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->SetBackingStore(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetBackingStore_163(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetBackingStore();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_BackingStoreOn_164(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->BackingStoreOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_BackingStoreOff_165(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->BackingStoreOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetInteractive_166(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->SetInteractive(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetInteractive_167(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetInteractive();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_InteractiveOn_168(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->InteractiveOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_InteractiveOff_169(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->InteractiveOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetLayer_170(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->SetLayer(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetLayer_171(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetLayer();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_Transparent_172(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->Transparent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_WorldToView_173(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->WorldToView();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_ViewToWorld_174(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->ViewToWorld();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderer_GetZ_175(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderer *op;
  int      temp0;
  int      temp1;
  double   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetZ(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetMTime_176(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
   unsigned long     temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderer_GetLastRenderTimeInSeconds_177(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double   temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetLastRenderTimeInSeconds();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetNumberOfPropsRendered_178(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetNumberOfPropsRendered();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderer_PickProp_179(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkRenderer *op;
  double   temp0;
  double   temp1;
  vtkAssemblyPath  *temp20;
  jobject tempH;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->PickProp(temp0,temp1);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAssemblyPath", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_StereoMidpoint_180(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  op->StereoMidpoint();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderer_GetTiledAspectRatio_181(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double   temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderer");
  temp20 = (op)->GetTiledAspectRatio();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkRenderer_VTKInit(JNIEnv *env, jobject obj)
{
  vtkRenderer *aNewOne = vtkRenderer::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkRenderer_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkRenderer_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkRenderer_Typecast);
}
